Get Call
curl --request GET \
--url https://{appid}.call-{region}.cometchat.io/v3/calls/{sessionId} \
--header 'apikey: <api-key>'{
"data": {
"sessionId": "v1.us.31780434a95d45.16923681138d75114d60d1345a22e4cc612263fb26c0b5cf92",
"totalAudioMinutes": 0.31666666666666665,
"totalVideoMinutes": 0,
"totalDuration": "00:00:19",
"metaData": [],
"hasRecording": false,
"initiatedAt": 1692368113,
"initiator": "superhero8",
"mode": "call",
"receiver": "superhero2",
"receiverType": "user",
"status": "ended",
"tags": [],
"totalDurationInMinutes": 0.31666666666666665,
"totalParticipants": 2,
"type": "audio",
"mid": "855e1519-1244-4213-8e40-53044c1e9e43",
"startedAt": 1692368127,
"endedAt": 1692368146,
"participants": [
{
"uid": "superhero2",
"totalAudioMinutes": 0.23333333333333334,
"totalVideoMinutes": 0,
"totalDuration": 0.23333333333333334,
"deviceId": "c9ed493e-8495-428d-b6ee-b32019cc57ce@rtc.cometchat-staging.com/CKT3xgR4",
"isJoined": true,
"joinedAt": 1692368132,
"mid": "855e1519-1244-4213-8e40-53044c1e9e43",
"state": "ended",
"leftAt": 1692368146
},
{
"uid": "superhero8",
"totalAudioMinutes": 0.26666666666666666,
"totalVideoMinutes": 0,
"totalDuration": 0.26666666666666666,
"deviceId": "70ecae89-b71c-4bb3-8220-b7c99ec1658f@rtc.cometchat-staging.com/hsYWb5ul",
"isJoined": true,
"joinedAt": 1692368128,
"mid": "855e1519-1244-4213-8e40-53044c1e9e43",
"state": "ended",
"leftAt": 1692368144
}
]
}
}Calls
Get Call
Fetches all the details of the call whose sessionId is passed in the URL.
GET
/
calls
/
{sessionId}
Get Call
curl --request GET \
--url https://{appid}.call-{region}.cometchat.io/v3/calls/{sessionId} \
--header 'apikey: <api-key>'{
"data": {
"sessionId": "v1.us.31780434a95d45.16923681138d75114d60d1345a22e4cc612263fb26c0b5cf92",
"totalAudioMinutes": 0.31666666666666665,
"totalVideoMinutes": 0,
"totalDuration": "00:00:19",
"metaData": [],
"hasRecording": false,
"initiatedAt": 1692368113,
"initiator": "superhero8",
"mode": "call",
"receiver": "superhero2",
"receiverType": "user",
"status": "ended",
"tags": [],
"totalDurationInMinutes": 0.31666666666666665,
"totalParticipants": 2,
"type": "audio",
"mid": "855e1519-1244-4213-8e40-53044c1e9e43",
"startedAt": 1692368127,
"endedAt": 1692368146,
"participants": [
{
"uid": "superhero2",
"totalAudioMinutes": 0.23333333333333334,
"totalVideoMinutes": 0,
"totalDuration": 0.23333333333333334,
"deviceId": "c9ed493e-8495-428d-b6ee-b32019cc57ce@rtc.cometchat-staging.com/CKT3xgR4",
"isJoined": true,
"joinedAt": 1692368132,
"mid": "855e1519-1244-4213-8e40-53044c1e9e43",
"state": "ended",
"leftAt": 1692368146
},
{
"uid": "superhero8",
"totalAudioMinutes": 0.26666666666666666,
"totalVideoMinutes": 0,
"totalDuration": 0.26666666666666666,
"deviceId": "70ecae89-b71c-4bb3-8220-b7c99ec1658f@rtc.cometchat-staging.com/hsYWb5ul",
"isJoined": true,
"joinedAt": 1692368128,
"mid": "855e1519-1244-4213-8e40-53044c1e9e43",
"state": "ended",
"leftAt": 1692368144
}
]
}
}Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Call to Retreive
Response
200 - application/json
Rereives Call Details
Show child attributes
Show child attributes
Was this page helpful?
⌘I